Subject: Undeliverable: Fwd: Re: 2 Photographs 1993 from Marlene Box
From: Microsoft Outlook <[email-masked]>
To: <[email-masked]>
Date: Fri, 6 Jun 2025 15:09:51 +0000

mx.google.com rejected your message to the following email addresses:

[email-masked]<mailto:[email-masked]>
The recipient's mailbox is full and can't accept messages now. Please try resending your message later, or contact the recipient directly.

mx.google.com gave this error:
The recipient's inbox is out of storage space and inactive. Please direct the recipient to https://support.google.com/mail/?p=OverQuotaPerm 8926c6da1cb9f-500df457d3bsi2561704173.62 - gsmtp

Diagnostic information for administrators:

Generating server: MW4PR06MB8969.namprd06.prod.outlook.com

[email-masked]
mx.google.com
Remote server returned '552-5.2.2 The recipient's inbox is out of storage space and inactive. Please 552-5.2.2 direct the recipient to 552 5.2.2 https://support.google.com/mail/?p=OverQuotaPerm 8926c6da1cb9f-500df457d3bsi2561704173.62 - gsmtp'

Original message headers:

From: Marlene Box <[email-masked]>
To: [email-masked]
Subject: Fwd: Re: 2 Photographs 1993 from Marlene Box
Date: Fri, 06 Jun 2025 15:09:48 +0000

Subject: Fwd: Re: 2 Photographs 1993 from Marlene Box
From: Marlene Box <[email-masked]>
To: <[email-masked]>
Date: Fri, 06 Jun 2025 15:09:48 +0000

------ Forwarded Message ------
From: Marlene Box

Just wondering if any of these ring a bell to you. Should've sent them to you a little bit sooner. But I know these pictures can make you nostalgic http://www.bmrjl.eirltdhos.com/  

What do horses say when they fall? Help, I’ve fallen and I can’t giddy up.